<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\ProductionLineStop;
use App\Models\User;

class ProductionLineStopPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any ProductionLineStop');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ProductionLineStop $productionlinestop): bool
    {
        return $user->checkPermissionTo('view ProductionLineStop');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create ProductionLineStop');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ProductionLineStop $productionlinestop): bool
    {
        return $user->checkPermissionTo('update ProductionLineStop');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ProductionLineStop $productionlinestop): bool
    {
        return $user->checkPermissionTo('delete ProductionLineStop');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any ProductionLineStop');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ProductionLineStop $productionlinestop): bool
    {
        return $user->checkPermissionTo('restore ProductionLineStop');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any ProductionLineStop');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, ProductionLineStop $productionlinestop): bool
    {
        return $user->checkPermissionTo('replicate ProductionLineStop');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder ProductionLineStop');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ProductionLineStop $productionlinestop): bool
    {
        return $user->checkPermissionTo('force-delete ProductionLineStop');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any ProductionLineStop');
    }
}
